<id>
Ban Guest Names
</id>

<version>
0.4
</version>

<mod info>
This is the YaBB 2.0/2.1 version of this modification.

This mod allows you to ban specific strings from being used within guest's names.  For instance, if you find that you are being spammed by someone that always uses the string "casino" in their post name, you can stop them from being able to post on your forums.

Installation Instructions:
Apply this mod manually, or using BoardMod.
Upload the following files:

Modified by this mod:
Sources/Post.pl
Admin/ModList.pl
Admin/AdminSubList.pl
AdminIndex.pl

Included in package:
Languages/*.*
Variables/BanGuest.txt (chmod to 666)
Admin/BanGuest.pl

Credits:
As always, all credits go to the YaBB development team for putting together such a great piece of software.  In addition, all credits go to the BoardMod development team for the same reasons.

Changelog:
From 0.3:
Attempted another fix to the problem that was supposed to be fixed in 0.3.
From 0.2:
Fixed a bug that made banning "whole names" cause guests not to be able to post.
From 0.1:
Fixed a language string error in the Admin settings
Set it so that the language strings and variables are only loaded if the user is a guest, rather than loading them every time someone posts.
Created a readme file to accompany the mod.
Added a Dutch language file (thanks Jans).
</mod info>

<author>
Curtiss Grymala
</author>

<homepage>
http://dchelp.dcevolution.net
</homepage>

<edit file>
Sources/Post.pl
</edit file>

<search for>
sub Post2 {
	if ($iamguest && $enable_guestposting == 0) { &fatal_error($post_txt{'165'}); }
</search for>

<add after>
	if($iamguest) {
		LoadLanguage("BanGuest");
		if (-e "$vardir/BanGuest.txt") { require "$vardir/BanGuest.txt"; }

		foreach $ban_name (@banguest_strings) {
			$ban_test = $FORM{'name'};
			if($ban_test =~ $ban_name) { &fatal_error($banguest_txt{'1'}."<b>".$ban_name."</b>".$banguest_txt{'2'}); }
		}
		foreach $ban_name (@banguest_names) {
			$ban_name_test = $FORM{'name'};
			if($ban_name_test eq $ban_name) { &fatal_error($banguest_txt{'3'}."<b>".$ban_name."</b>".$banguest_txt{'4'}); }
		}
	}
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$banguest_mod = "Ban Guest Names|<a href=\"http://forums.dcevolution.net/\" target=\"_blank\">Curtiss Grymala</a>|Allows you to stop guests from posting when their post names contain specific strings.|0.4|April 5, 2006";
	push (@installed_mods, "$banguest_mod");
</add before>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
$banguest_mod = "banguest|Ban Guest Settings|Edit Your Ban Guest Settings|";
push (@boardmod_mods, "$banguest_mod");
</add before>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
'modagreement2',"AdminEdit.pl&ModifyAgreement2",
</search for>

<add after>
'banguest',"BanGuest.pl&ModifyBanGuest",
'banguest2',"BanGuest.pl&ModifyBanGuest2",
</add after>